# Debusca

Modulus maintenance

## Configuration minimale

- Composer
- PHP >= 7.3
- Laravel >= 7

## Installation

Exiger ce package avec composer.

```shell
composer require goldenscarab/modulus-debusca
```

## Configuration

### `Permission du Wrapper`

Ajout des bonnes permissions au wrapper (*avec l'utilisateur SUDO*)

```shell
bash vendor/goldenscarab/modulus-debusca/src/bin/perms.sh
```

### `Authentification`

Configurer l'accès aux pages, grâce à un token personnalisé

```shell
cp vendor/goldenscarab/modulus-debusca/src/config/auth_example.json vendor/goldenscarab/modulus-debusca/src/config/auth.json
```

Éditer le fichier **auth.json**, afin de modifier la valeur du **token** (au format base64). La valeur décodée du token servira à vous authentifier via le paramètre **token** de l'URL.

### `BDD`

Il est possible d'ajouter, en plus de la configuration par défaut de l'application, des accès supplémentaires vers d'autres bases de données

```shell
cp vendor/goldenscarab/modulus-debusca/src/config/bdd_example.json vendor/goldenscarab/modulus-debusca/src/config/bdd.json
```

Éditer le fichier **bdd.json** et modifier/dupliquer la configuration par défaut

## Accès

Pour accéder à l'application, veuillez vous rendre à l'adresse suivante : 

https://**SITE_NAME**/debusca/bdd?token=**CLEAR_TOKEN**

Exemple : [http://localhost:8000/debusca/bdd?token=password](http://localhost:8000/debusca/bdd?token=password)

## Crédits

- [Sylvain CARRE](https://git.goldenscarab.fr/modulus/debusca)

## License

La MIT License (MIT).
