<?php

namespace Goldenscarab\Modulus\Debusca\App\Providers;

use Illuminate\Support\Facades\App;
use Illuminate\Foundation\AliasLoader;
use Illuminate\Support\ServiceProvider;

class DebuscaServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        // Si execution console alors on quitte
        if (App::runningInConsole()) {
            return true;
        }

        include (__DIR__ . '/../Helpers/debusca.php');
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind('DebuscaService', 'Goldenscarab\Modulus\Debusca\App\Http\Services\Debusca\DebuscaService');
        $loader = AliasLoader::getInstance();
        $loader->alias('DebuscaService', 'Goldenscarab\Modulus\Debusca\App\Http\Services\Debusca\Facade\DebuscaService');
    }
}
