<?php

namespace Goldenscarab\Modulus\Debusca\App\Providers;


use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\ServiceProvider;
use Goldenscarab\Modulus\Debusca\App\Http\Middleware\AuthToken;

class RouteServiceProvider extends ServiceProvider
{


    private $base_namespace = 'Goldenscarab\\Modulus\\Debusca\\App\\Http\\Controllers';

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {

        if (!App::runningInConsole()) {

            $router = $this->app->router;
            $router->aliasMiddleware('auth.token', AuthToken::class);

            // App
            $router->prefix('/')
                ->middleware(['web', 'auth.token'])
                ->namespace($this->base_namespace)
                ->group(function($router) {
                require __DIR__.'/../../routes/web.php';
            });

        }
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {

    }
}
