<div class="table-responsive">
    <table class="table table-bordered table-striped table-dark table-hover table-sm">
        @if (is_iterable($result->getResult()))
        <thead>
            <tr>
                @if ($result->getResult()->isNotEmpty() && !empty($result->getResult()->first()->getUpdateQuery()) && !empty($result->getResult()->first()->getDeleteQuery()))
                    <th></th>
                @endif
                @foreach ($result->getMetas() as $meta)
                    <th class="text-nowrap">
                        @if ($meta->isPrimaryKey())
                            <i class="fa fa-key text-warning mr-1" title="Primary key"></i>
                        @endif
                        @if ($meta->isUnique())
                            <span class="text-info" title="Unique">U</span>
                        @endif
                        {{ $meta->getField() }}
                        @if (!$meta->getNull())
                            <span class="text-danger" title="NOT NULL">*</span>
                        @endif
                    </th>
                @endforeach
            </tr>
        </thead>
        <tbody>
            @foreach ($result->getResult() as $line)

                <tr class="db-entry">
                    @if (!empty($line->getUpdateQuery()) && !empty($line->getDeleteQuery()))
                    <td scope="col" class="text-nowrap action">
                        @if (!empty($line->getUpdateQuery()))
                            <i class="fa fa-pencil-square-o edit-query mr-1" data-query="{{ $line->getUpdateQuery() }}" title="Modifier"></i>
                        @endif
                        @if (!empty($line->getDeleteQuery()))
                            <i class="fa fa-trash edit-query" data-query="{{ $line->getDeleteQuery() }}" title="Supprimer"></i>
                        @endif
                    </td>
                    @endif
                    @foreach ($line->getValues() as $name => $value)
                        <td scope="col" class="text-nowrap" title="{{ $value }}">{{ Illuminate\Support\Str::limit($value, 50) }}</td>
                    @endforeach
                </tr>
            @endforeach
        </tbody>
        @endif
    </table>
</div>

<small>
    {{ data_get($result->getResume(), 'rows') }}
    row{{ data_get($result->getResume(), 'rows') > 0 ? 's' : '' }}
    {{ data_get($result->getResume(), 'type') }} in
    {{ data_get($result->getResume(), 'elapsed_ms') }} ms
</small>
